*" PACKAGE XMKINIT  !" 初期値作成 ( 1 time level )
*
*"  [HIS] 92/09/30(takepiro)
*
***********************************************************************
      PROGRAM MKBAST    !" 初期値メインルーチン
*
*   [PARAM]
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" 格子点数, 波数
      INCLUDE   (ZHDIM)                      !" 文字列文字数
      INCLUDE   (ZCCOM)                      !" 標準物理定数
#else
#include        "zcdim.F"                    !" 格子点数, 波数
#include        "zhdim.F"                    !" 文字列文字数
#include        "zccom.F"                    !" 標準物理定数
#endif
*
*   [VAR]
      REAL       GBAST   ( IDIM, JDIM, 0:KDIM )  !" 温度   Ｔ
*"       : 格子点データ(t) <DYNMCS>  格子点データ(t+Δt)
*
*   [INTERNAL WORK] 
      REAL       ALAT  ( JDIM )        !" 緯度
      REAL       DLAT  ( JDIM )        !" 緯度荷重
      REAL       ALON  ( IDIM )        !" 経度
      REAL       DLON  ( IDIM )        !" 経度荷重
      REAL       ARAD  ( 0:KDIM )        !" ｒレベル(整数)
      REAL       DRAD  ( 0:KDIM )        !" Δｒ(整数)
*
      CHARACTER  HDSET *(NCC)          !" データセット名
      CHARACTER  HFILE *(NFILN)        !" ファイル名
      INTEGER    I, J, K

*   [INTERNAL PARM] 
      CHARACTER  HITEM *(NCC)          !"
      CHARACTER  HTITL *(NCC)          !" タイトル
      CHARACTER  HUNIT *(NCC)          !" 単位
*
      INTEGER    IT                    !" 通し時間(t)
      INTEGER    IDATE( 6 )            !" 時刻：年月日時分秒
      INTEGER    ISTEP                 !" 通しステップ数
      INTEGER    ITDUR
*
      INTEGER    JFILE                 !" 出力装置番号
      INTEGER    IOMODE
      INTEGER    NOEND
      CHARACTER  HDFMT *(NCC)          !" 出力書式
*
      DATA       HITEM  / 'GAT' /
      DATA       HTITL  / 'basic temperature' /
      DATA       HUNIT  / 'K' /
*
      DATA       IT    / 0 /
      DATA       IDATE / 1991, 1, 1, 0, 0, 0 /
      DATA       ISTEP  / 0 /
      DATA       ITDUR  / 1 /
*
      DATA       JFILE  / 51 /
      DATA       IOMODE / 1 /
      DATA       NOEND  / 0 /
      DATA       HDFMT  / 'UR4' /
*
c$$$      DATA       ERI, ERO, ETA / 0.4, 1.0, 0.4/
*
      CALL YPREP
      CALL PCONST
      CALL GTOPEN
*
      WRITE( 6,*     ) ' DATA SET NAME  ?'
      READ ( 5,'(A)' ) HDSET
      WRITE( 6,*     ) ' FILE NAME  ?'
      READ ( 5,'(A)' ) HFILE
      CALL GFWOPN ( JFILE, HFILE )
*
      CALL GTCSET( 'DDSET' , HDSET     )
*
      CALL SETCOR
     O         ( ALON  , DLON  ,
     O           ALAT  , DLAT  ,
     O           ARAD  , DRAD    )
*
      DO 1000 K = 0, KDIM
         DO 1000 J = 1, JDIM
            DO 1000 I = 1, IDIM
               GBAST( I, J, K ) 
     &          = 0.5 * ARAD( 0 ) ** 2 - 0.5 * ARAD( K ) ** 2  !" 上端温度を 0 とする. 
 1000 CONTINUE 
*
      CALL GDWRIT
     O         ( GBAST ,
     I           HITEM , HTITL , HUNIT ,
     I           IT    , IDATE , ISTEP , ITDUR ,
     I           JFILE , IOMODE, NOEND , 'ALEV', HDFMT  )
*
      STOP
      END
